Subject: bug#6081: 23.1; emacs23 and etach

From: [email-masked]
Date: Tue, 4 May 2010 21:53:27 +0200

>>>>> "SM" == Stefan Monnier <[email-masked]> writes:
> 
    >>> IIUC rmail-mime does not allow you to detach attachments, only
    >>> to view them and save a copy elsewhere.
    >> So "detach" means actually remove from the mbox file?
> 
> That's what I understood from the original message:
>     (i.e. to save them elsewhere, not within the RMAIL file)

> IIUC rmail-mime does not allow you to detach attachments, only to view
> them and save a copy elsewhere.

Exactly.

Unfortunately quite a few of my correspondents readily send attachments completely unnecessarily -- more or less automatically going with their responses to mails with attachments -- and I'm certainly not in a position to educate them about it.

So a lot of redundancy ends up in my mail file, and I cherish the possibility to actually dispose of that.  etach's detach does exactly that, pulls the attachment out of the mail, offers to save it (poss. with a different name), and just makes a note that it has removed an attachment and to which file such like:
"""
------_=_NextPart_001_01CAEB5E.3071D732
Content-Type: text/plain; charset=us-ascii
X-Former-Content-Type: text/html;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Former-Content-Transfer-Encoding: quoted-printable

[file:/home/enno/detached/FILE_0004.html]
------_=_NextPart_001_01CAEB5E.3071D732--

"""

As you can imagine, this helps to reduce the size of my mail file considerably, which in turn makes working with email as quick as you would expect it (Emacs gets a wee bit slow with a mail file of several MBytes...).

Brgds, enno.